//******************************************************************************
//	Header-Datei fr PIC18F46K80
//	erstellt von Firma Schwabenplan, Ingo Schick
//	Datum: 01.05.2014
//******************************************************************************


//******************************************************************************
// PORTB defineren
//******************************************************************************
#define		B1 		PORTBbits.RB0        	// B1 definieren
#define		B2 		PORTBbits.RB1        	// B2 definieren
#define		B3 		PORTBbits.RB2        	// B3 definieren
#define		B4 		PORTBbits.RB3         	// B4 definieren
#define		B5 		PORTBbits.RB4         	// B5 definieren
#define		B6 		PORTBbits.RB5         	// B6 definieren
#define		B7 		PORTBbits.RB6         	// B7 definieren
#define		B8 		PORTBbits.RB7         	// B8 definieren
//******************************************************************************


//******************************************************************************
// RS-232 und RS-485 Leitungen definieren
//******************************************************************************
#define  	DA		PORTCbits.RC0			// RS-485 Steuerleitung DA

#define  	TX		PORTCbits.RC6			// TX-Leitung definieren
#define 	RX		PORTCbits.RC7			// RX-Leitung definieren

#define 	CTS 	PORTCbits.RC4    		// RTS-Leitung definieren
#define 	RTS 	PORTCbits.RC5			// CTS-Leitung definieren

//******************************************************************************
// IC-Bus Leitungen
//******************************************************************************
#define  	SCL		PORTCbits.RC3			// SCL-Leitung definieren
#define 	SDA		PORTCbits.RC4			// SDA-Leitung definieren
//******************************************************************************


//******************************************************************************
// Eingnge/Ausgnge - I/O-Platine definieren (Port D)
//******************************************************************************
#define 	D1 		PORTDbits.RD0			// D1 definieren
#define 	D2 		PORTDbits.RD1			// D2 definieren
#define 	D3 		PORTDbits.RD2         	// D3 definieren
#define 	D4 		PORTDbits.RD3          	// D4 definieren
#define 	D5 		PORTDbits.RD4         	// D5 definieren
#define 	D6 		PORTDbits.RD5          	// D6 definieren
#define		D7 		PORTDbits.RD6         	// D7 definieren
#define 	D8 		PORTDbits.RD7         	// D8 definieren
//******************************************************************************


