/************************************************************************/
// Header-Datei USART initialisieren PIC18F46K80
// Programmierer: Fa. Schwabenplan, Ingo Schick
// Datum: 02.06.2012
/************************************************************************/

//#ifndef __USART_H
//#define __USART_H
//#endif

void Init_USART(unsigned long ulg_Baud);

/************************************************************************/
#include <usart.h>
/************************************************************************/

/************************************************************************/
// USART initialisieren
/************************************************************************/
void Init_USART(unsigned long ulg_Baud)
{    
	switch (ulg_Baud) {
			case 9600:		Open1USART ( USART_TX_INT_OFF  &		// 9600 Baud
							USART_RX_INT_OFF  &
							USART_ASYNCH_MODE &
							USART_EIGHT_BIT   &
							USART_CONT_RX     &
							USART_BRGH_HIGH, 162);
							break;
/************************************************************************/
			case 19200:		Open1USART ( USART_TX_INT_OFF  &		// 19200 Baud
							USART_RX_INT_OFF  &
							USART_ASYNCH_MODE &
							USART_EIGHT_BIT   &
							USART_CONT_RX     &
							USART_BRGH_HIGH, 80);
							break;
/************************************************************************/
			case 57600:		Open1USART ( USART_TX_INT_OFF  &		// 57600 Baud
							USART_RX_INT_OFF  &
							USART_ASYNCH_MODE &
							USART_EIGHT_BIT   &
							USART_CONT_RX     &
							USART_BRGH_HIGH, 26);
							break;
/************************************************************************/
			case 115200:	Open1USART ( USART_TX_INT_OFF  &		// 115200 Baud
							USART_RX_INT_OFF  &
							USART_ASYNCH_MODE &
							USART_EIGHT_BIT   &
							USART_CONT_RX     &
							USART_BRGH_HIGH, 13);
							break;							
				}
}
/************************************************************************/
